account.saveRingtone
Save or remove saved notification sound. If the notification sound is already in MP3 format, account.RawSavedRingtone will be returned. Otherwise, it will be automatically converted and a account.RawSavedRingtoneConverted will be returned, containing a new RawDocument object that should be used to refer to the ringtone from now on (ie when deleting it using the unsave parameter, or when downloading it).
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Save or remove saved notification sound. If the notification sound is already in MP3 format, account.RawSavedRingtone will be returned. Otherwise, it will be automatically converted and a account.RawSavedRingtoneConverted will be returned, containing a new RawDocument object that should be used to refer to the ringtone from now on (ie when deleting it using the unsave parameter, or when downloading it).
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.saveRingtone" \ -H "Content-Type: application/json" \ -d '{ "params": { "id": { "_": "inputDocumentEmpty" }, "unsave": true } }'{ "result": { "_": "account.savedRingtone" }}saveMusic
Adds or removes a song from the current user's profile [see here »](https://core.telegram.org/api/profile#music) for more info on the music tab of the profile page.
saveSecureValue
Securely save [Telegram Passport](https://core.telegram.org/passport) document, [for more info see the passport docs »](https://core.telegram.org/passport/encryption#encryption)